> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Details

> Retrieves detailed information about a specific video within a given library.
This includes its metadata, processing status, playback URLs, and associations (e.g., folder, tags, visibility).



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/videos/{videoId}
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/videos/{videoId}:
    get:
      tags:
        - Video
      summary: Get Video Details
      description: >-
        Retrieves detailed information about a specific video within a given
        library.

        This includes its metadata, processing status, playback URLs, and
        associations (e.g., folder, tags, visibility).
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
          schema:
            type: string
        - name: videoId
          in: path
          description: Unique identifier of the targeted video resource.
          required: true
          example: 314221a1-3cbf-4d3c-846e-f6c22bc43064
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      updated_at:
                        type: string
                      created_at:
                        type: string
                      assets:
                        type: object
                        properties:
                          thumbnails:
                            type: object
                            properties:
                              preview_url:
                                type: string
                              default_url:
                                type: string
                              urls:
                                type: array
                                items:
                                  type: string
                            required:
                              - preview_url
                              - default_url
                              - urls
                          playback:
                            type: object
                            properties:
                              direct_play_url:
                                type: string
                              hls_url:
                                type: string
                              dash_url:
                                type: string
                              embed_url:
                                type: string
                            required:
                              - direct_play_url
                              - hls_url
                              - dash_url
                              - embed_url
                        required:
                          - thumbnails
                          - playback
                      folder_id:
                        type: string
                      metadata:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            value:
                              type: string
                          required:
                            - key
                            - value
                      format:
                        type: string
                      status:
                        type: string
                      description:
                        type: string
                      name:
                        type: string
                      tags:
                        type: string
                      resolutions:
                        type: string
                      size_bytes:
                        type: integer
                      raw_size_bytes:
                        type: integer
                      duration_seconds:
                        type: integer
                      duration:
                        type: integer
                      organization_id:
                        type: string
                      id:
                        type: string
                      library_id:
                        type: string
                    required:
                      - updated_at
                      - created_at
                      - assets
                      - folder_id
                      - metadata
                      - format
                      - status
                      - description
                      - name
                      - tags
                      - resolutions
                      - size_bytes
                      - raw_size_bytes
                      - duration_seconds
                      - duration
                      - organization_id
                      - id
                      - library_id
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - data
                  - message
                  - success
              example:
                data:
                  id: efdc380d-3552-4a19-a590-fd16b0e7875b
                  name: Test video
                  description: this is my description
                  status: created
                  library_id: 15365862-ee75-420f-aab4-6b4ce3fb790a
                  organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                  folder_id: 9bd1d640-fe39-4194-9f17-df9c6ee0683f
                  metadata:
                    details: this is my meta details
                    note: this is my meta data
                  tags:
                    - Marketing
                  media:
                    duration_seconds: 120
                    format: mp4
                    codec: h264
                    resolutions:
                      - 720p
                      - 1080p
                    size_bytes: 10485760
                    raw_size_bytes: 158008374
                  assets:
                    thumbnails:
                      preview_url: https://cdn.videosaas.io/1c299f17/preview.webp
                      default_url: https://cdn.videosaas.io/1c299f17/thumbnail.jpg
                      urls:
                        - https://cdn.videosaas.io/1c299f17/thumbnail.jpg
                        - https://cdn.videosaas.io/1c299f17/thumbnail.jpg
                    playback:
                      direct_url: >-
                        https://player.videosaas.io/stream/c120708b/default/1c299f17
                      hls_url: https://cdn.videosaas.io/1c299f17/playlist.m3u8
                      dash_url: https://cdn.videosaas.io/1c299f17/playlist.mpd
                      embed_url: >-
                        https://player.videosaas.io/embed/b6464f0a-058d-4974-9c6e-e4d7e957c47f
                  created_at: '2025-10-21T16:33:44.399654+06:00'
                  updated_at: '2025-10-21T16:33:44.399654+06:00'
                message: Video Fetched Successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````